# Class LockOutRealm.LockRecord

java.lang.Object
org.apache.catalina.realm.LockOutRealm.LockRecord

Enclosing class:
  `LockOutRealm`

protected static class LockOutRealm.LockRecord extends Object
Internal record to track lock state for a user.

## Constructor Summary

Constructors
Constructor
Description
`LockRecord()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getFailures()`
Get the number of authentication failures.
`long`
`getLastFailureTime()`
Get the time of the last failure.
`void`
`registerFailure()`
Register a new authentication failure.
`void`
`setFailures(int theFailures)`
Set the number of authentication failures.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LockRecord

public LockRecord()
Default constructor.

## Method Details

### getFailures

public int getFailures()
Get the number of authentication failures.

Returns:
  the failures

### setFailures

public void setFailures(int theFailures)
Set the number of authentication failures.

Parameters:
  `theFailures` - the failures to set

### getLastFailureTime

public long getLastFailureTime()
Get the time of the last failure.

Returns:
  the lastFailureTime

### registerFailure

public void registerFailure()
Register a new authentication failure.